Loading...
Searching...
No Matches
Library Version Information

## Functions

unsigned int | cpl_version_get_binary_age (void)
| Get the library's binary age.
unsigned int | cpl_version_get_binary_version (void)
| Get the library's binary version number.
unsigned int | cpl_version_get_interface_age (void)
| Get the library's interface age.
unsigned int | cpl_version_get_major (void)
| Get the library's major version number.
unsigned int | cpl_version_get_micro (void)
| Get the library's micro version number.
unsigned int | cpl_version_get_minor (void)
| Get the library's minor version number.
const char * | cpl_version_get_version (void)
| Get the library's version string.

## Detailed Description

This module provides functions to access the library's version information.

The library version applies to all component libraries of the Common pipeline library, and changes if any of the component libraries changes.

The library version is a version code made up of three components, the major, minor and micro version number, and is usually represented by a string of the form "major.minor.micro".

Synopsis:
  #include <cpl_version.h>

## Function Documentation

## cpl_version_get_binary_age()

unsigned int cpl_version_get_binary_age | ( | void |  | ) |

Get the library's binary age.

Returns
  The function returns the library's binary age.

The function returns the binary age of the library.

## cpl_version_get_binary_version()

unsigned int cpl_version_get_binary_version | ( | void |  | ) |

Get the library's binary version number.

Returns
  The function returns the library's version number.

The function returns the version number of the library encoded as a single integer number.

## cpl_version_get_interface_age()

unsigned int cpl_version_get_interface_age | ( | void |  | ) |

Get the library's interface age.

Returns
  The function returns the library's interface age.

The function returns the interface age of the library.

## cpl_version_get_major()

unsigned int cpl_version_get_major | ( | void |  | ) |

Get the library's major version number.

Returns
  The function returns the library's major version number.

The function returns the major version number of the library.

## cpl_version_get_micro()

unsigned int cpl_version_get_micro | ( | void |  | ) |

Get the library's micro version number.

Returns
  The function returns the library's micro version number.

The function returns the micro version number of the library.

## cpl_version_get_minor()

unsigned int cpl_version_get_minor | ( | void |  | ) |

Get the library's minor version number.

Returns
  The function returns the library's minor version number.

The function returns the minor version number of the library.

## cpl_version_get_version()

const char * cpl_version_get_version | ( | void |  | ) |

Get the library's version string.

Returns
  The function returns the library's version string.

The function returns the package version of the library as a string. The returned version string is composed of the major, minor and, possibly, the micro version of the library separated by dots. The micro version may not be there if it is `0`.